1. Home
  2. Website Creator
  3. Project
  4. What are the hosting requirements for publication?
  1. Home
  2. Website Creator
  3. Settings
  4. What are the hosting requirements for publication?

What are the hosting requirements for publication?

Here you will find the technical requirements, such as PHP versions and database, so that your Website Creator page can be published.

PHP Versionen

Publish

You can use PHP versions 7.4 to 8.2 to publish your website. If you have a lower version, you must adjust this in the control panel of your web hosting.

The health check of the publishing process shows you which PHP version you are using and whether you need to change it if it is too low.

We recommend using at least PHP 8.0.0 or higher.

How do I change the PHP version?

You can change the PHP version via the settings for your web hosting, usually via the control panel. This depends on which provider you have your web hosting with and which control panel you have. You can find out how to change the PHP version for hosttech web hosting with Plesk here: How do I change the PHP version?
If you have your web hosting with another provider, please contact them.

PHP Memory Limit

The PHP memory limit must be at least 128 megabytes. You can set this in the control panel of your web hosting.

In Plesk, you can find the setting under ‘Websites & Domains’ > Performance and security settings.

Datenbank

The following requirement applies to the database:

  • MariaDB: 10.0.0 or higher
  • MySQL: 5.6.0 or higher

Updated on 19. December 2023

Was this article helpful?

Related Articles

Do you need support?
Deine Lösung steht noch nicht in den FAQ? Keine Sorge, wir sind für dich da.
Kontaktiere uns!